#%%define snapdate 20060929
%define snapshot 0%{?snapdate:1}

%define build_qt 0

Name:           scim-bridge
Version:        0.4.5
Release:        3%{?dist}
Summary:        SCIM Bridge Gtk IM module

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.scim-im.org/projects/scim_bridge
Source0:        http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}%{?snapdate:-%{snapdate}}.tar.gz
Source1:        xinput-scim-bridge-gtk
Source2:        xinput-scim-bridge-qt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  scim-devel
%if %{build_qt}
BuildRequires:  qt-devel
%endif
%if %{snapshot}
Buildrequires:  autoconf, automake, libtool
%endif
# for new xinput files (fc6)
Requires:       scim >= 1.4.4-33
Patch1:         scim-bridge-0.4.5-key-event-order-206261.patch

%description
SCIM Bridge is a C implementation of a Gtk IM module for SCIM.


%package gtk
Summary:    SCIM Bridge Gtk IM module
Group:      System Environment/Libraries
# for update-gtk-immodules
PreReq:     gtk2 >= 2.9.1-2
# need %{_bindir}/scim-bridge
Requires:   %{name} = %{version}-%{release}
Obsoletes:  scim-bridge-gtkimm < 0.4.2

%description gtk
This package provides the SCIM Bridge GTK input method module.


%if %{build_qt}
%package qt
Summary:    SCIM Bridge Qt IM module
Group:      System Environment/Libraries
# need %{_bindir}/scim-bridge
Requires:   %{name} = %{version}-%{release}
Obsoletes:  scim-bridge-qtimm < 0.4.2

%description qt
This package provides the SCIM Bridge Qt input method module.
%endif


%define _xinputdir %{_sysconfdir}/X11/xinit/xinput.d/aux


%prep
%setup -q %{?snapdate:-n %{name}-%{version}-%{snapdate}}
%patch1 -p0 -b .1-fwd-event
%if %{snapshot}
./bootstrap
%endif


%build
%configure --disable-static --disable-documents \
%if !%{build_qt}
  --disable-qt3-immodule
%else
  %{nil}
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_xinputdir}
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_xinputdir}/scim-bridge-gtk
rm $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/immodules/im-scim-bridge.*a
%if %{build_qt}
install -pm 644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_xinputdir}/scim-bridge-qt
rm $RPM_BUILD_ROOT/%{_libdir}/qt-3.3/plugins/inputmethods/im-scim-bridge.*a
%endif

rm doc/{Makefile.*,doxygen.conf}


%clean
rm -rf $RPM_BUILD_ROOT


%post gtk
%{_bindir}/update-gtk-immodules %{_host}


%postun gtk
%{_bindir}/update-gtk-immodules %{_host}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README doc
%{_bindir}/scim-bridge


%files gtk
%defattr(-,root,root,-)
%dir %{_libdir}/gtk-2.0/immodules
%{_libdir}/gtk-2.0/immodules/im-scim-bridge.so
%{_xinputdir}/scim-bridge-gtk


%if %{build_qt}
%files qt
%defattr(-,root,root,-)
%{_libdir}/qt-3.3/plugins/inputmethods/*.so
%{_xinputdir}/scim-bridge-qt
%endif


%changelog
* Fri Sep 29 2006 Jens Petersen <petersen@redhat.com> - 0.4.5-3
- add scim-bridge-0.4.5-key-event-order-206261.patch from cvs to fix modifiers
  problem with scim-sinhala (Ryo Dairiki, #206261)
- make im module subpackages require scim-bridge = ver-rel instead of
  %{_bindir}/scim-bridge (#207872)

* Tue Sep 19 2006 Jens Petersen <petersen@redhat.com> - 0.4.5-2
- turn off qtimm by default with build switch (#207076)

* Mon Sep 18 2006 Jens Petersen <petersen@redhat.com> - 0.4.5-1
- update to 0.4.5 bugfix release (#205098, #205699)
- remove dist tag from scim requires (#204154)

* Fri Sep  1 2006 Jens Petersen <petersen@redhat.com> - 0.4.2-1
- update to 0.4.2 release (fixes #204657, #204337)
- rename gtkimm and qtimm subpackages to gtk and qt respectively
- move gtkimm xinput.d script to gtk subpackage
- add qtimm xinput.d script to qt subpackage
- require scim >= 1.4.4-33.fc6

* Mon Aug 28 2006 Jens Petersen <petersen@redhat.com> - 0.4.1-1
- update to 0.4.1 stable release (fixes #204118)

* Wed Aug 23 2006 Jens Petersen <petersen@redhat.com> - 0.3.1-1
- update to 0.3.1 release
- buildrequire qt-devel
- disable building oxygen source documentation for now
- include html docs

* Fri Aug 18 2006 Jens Petersen <petersen@redhat.com> - 0.2.9-1
- 0.2.9 bugfix release

* Mon Jul 31 2006 Jens Petersen <petersen@redhat.com> - 0.2.7-1
- 0.2.7 bugfix release
- update url

* Mon Jul 24 2006 Jens Petersen <petersen@redhat.com> - 0.2.6-1
- 0.2.6 bugfix release
- require scim >= 1.4.4-25.fc6

* Mon Jul 24 2006 Jens Petersen <petersen@redhat.com> - 0.2.5-1
- 0.2.5 bugfix release
- define _xinputdir and move xinput file to aux subdir

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.2.4-1.1
- rebuild

* Fri Jul  7 2006 Jens Petersen <petersen@redhat.com> - 0.2.4-1
- 0.2.4, fixes activating with different IME from menu (#197658)

* Fri Jul  7 2006 Jens Petersen <petersen@redhat.com> - 0.2.3-2
- update with fixes from cvs (#197719)
- fix input state caching across desktop sessions (Ryo Dairiki, #197775)

* Sat Jul 01 2006 Warren Togami <wtogami@redhat.com> - 0.2.3-1
- 0.2.3

* Fri Jun 23 2006 Jens Petersen <petersen@redhat.com> - 0.2.2-1
- update to 0.2.2 (also fixes #194445)

* Wed Jun 21 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- update to cvs snapshot
- prereq gtk2 >= 2.9.1-2 for new gtk.immodules path on i386

* Mon Jun 19 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- 0.2.1 release
- scim-bridge-0.2.0-agent-fixes.patch no longer needed

* Fri Jun 16 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-1.1
- update to 0.2.0
- add scim-bridge-0.2.0-agent-fixes.patch from cvs to fix trigger event
  handling and config reload problems (Ryo Dairiki)

* Thu Jun 15 2006 Jens Petersen <petersen@redhat.com> - 0.1.12-3
- use _host not _target_platform for update-gtk-immodules in scripts (#195343)

* Wed Jun  7 2006 Jens Petersen <petersen@redhat.com> - 0.1.12-2
- import into Core (#194202)

* Tue May 30 2006 Jens Petersen <petersen@redhat.com> - 0.1.12-1
- update to 0.1.12

* Tue May 16 2006 Jens Petersen <petersen@redhat.com> - 0.1.8-1
- update to 0.1.8

* Thu May 11 2006 Jens Petersen <petersen@redhat.com> - 0.1.7-1
- update to 0.1.7 release

* Sat Apr 29 2006 Jens Petersen <petersen@redhat.com>
- package for Fedora Extras (#190243)

* Wed Mar 15 2006 Jens Petersen <petersen@redhat.com>
- cvs snapshot
